# gds-theme - React

## Import

```typescript
import { GdsTheme } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsTheme>
  {/* content */}
</GdsTheme>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-color-scheme-changed` | `onGdsColorSchemeChanged` | `onGdsColorSchemeChanged={handler}` |
| `gds-design-version-changed` | `onGdsDesignVersionChanged` | `onGdsDesignVersionChanged={handler}` |
